Subject: Re: [mobile-ip] Concerns about draft-mipv6-14 section 4.8

From: James Kempf <[email-masked]>
Date: Mon, 30 Jul 2001 13:08:46 -0700 (PDT)

Thierry,

I agree with your assessment.

There has been concern expressed by outside consumers of MIP about
the lack of progress on moving MIPv6 to RFC status. As with certain
other recent discussions on the list (viz. fast handoff and smoothing),
I think it makes sense here to separate out those technologies which
are well understood and which have achieved a certain amount of
concensus within the WG from those which are not well understood
and have yet to achieve concensus, in the interests of moving
MIPv6 to proposed standard.

The only issue I can see is making sure there is nothing in the
current draft that would either hinder or constrain a mobile networking
solution, without putting in explicit support that might have
unintended side effects. The draft must be complete within itself
for mobile hosts and not put any insurmountable barriers or
constraints on solving the mobile network problem.

		jak

>Date: Mon, 30 Jul 2001 20:54:13 +0200
>From: Thierry Ernst <[email-masked]>
>To: [email-masked]
>CC: Charlie Perkins <[email-masked]>
>Subject: [mobile-ip] Concerns about draft-mipv6-14 section 4.8
>
>Dear all,
>
>One of the changes of the MIPv6 draft from version 13 to 14 is the
>addition of a section "Mobile Routers" (section 4.8) and a new
>sub-option "Mobile Router Prefix Length" (section 5.5).  I have some
>concerns about these additions that I would like to share with the WG:
>
>o  I think that more issues are added than solved by this new
>sub-option:
>   - security (authorization)
>   - How is it processed by the HA and the CNs
>   - How is it used by the HA and the CNs
>   - ...
>
>o It does only solve part of the problems already highlighted last year
>in the WG meetings and  in the mailing list
>
>o There are a number of other problems that we have not even noticed or
>at least debated.
>
>o what is the exact meaning of "any home address" in section 5.5 ?
>
>
>I think that the support of mobile routers and networks (let's call this
>"Network Mobility Support") deserves more than a section.  Particularly
>a terminology that defines what we are speaking about and that limits
>the scope of the problem that could be solve by the MIP spec. would be
>welcome prior to this.
>
>Indeed, I am quite surprised to see a new section that has not
>previously been discussed nor shared with the people on this mailing
>list, particularly not with the authors of draft
>http://www.ietf.org/internet-drafts/draft-ernst-mobileip-v6-network-02.txt.  
>This draft that I wrote highlighted some issues in the MIPv6
>specification for "Network Mobility Support".  As a result of past
>discussions, some people have agreed that MIPv6 needs clarifications for
>the HA to redirect packets to nodes behind the mobile router.  This is
>not clarified in MIPv6-14, a clarification would have made more sense
>than the addition of a new feature in the WG doc itself.   
>
>Moreover, my draft has introduced a "Mobile Network Prefix" sub-option
>that carries the prefix of the mobile network as part of the BU.  This
>BU is sent to both the HA and CNs.  Following this proposition, security
>concerns have been raised, particulalry about authorization. 
>Authorization issues have largely accounted for the delay of the
>acceptance of my idea.  The idea behind the sub-option introduced in
>MIPv6-14 seems to be taken from my draft, though a bit more limited,
>since it only carries the prefix length, not the prefix itself.   The
>same authorization (and other security) concerns apply to this new
>sub-option, particularly when it is sent to CNs.  I am quite amazed to
>see that no one has waved the security flag this time.  Problably most
>people are busy, or have missed this section.
>
>Given the fact that "Network Mobility Support" is not yet a working
>group item and that the problem is not even perceived by the WG, the
>most immediate result relative to section 4.8 is that the MIPv6
>specification may be further delayed.   This is something we can not
>afford. MIPv6 has been delayed long enough, it's not the right moment to
>introduce new feartures in the MIPv6 document itself.  The introduction
>of new features would in turn introduce potential new holes (particulary
>securiry holes) that would further delay the spec. for Proposed
>Standard.
>
>My conclusions are:
>
>- Section 4.8 and sub-option "Mobile Router Prefix Length" SHOULD be
>removed from the MIPv6 draft, 
>
>- modifications to the MIPv6 draft specification MUST be discussed on
>the mailing list prior to their addition in a WG document,
>
>- extensions to the Mobile IPv6 specification, if not discussed on the
>mailing list, MUST be presented in a separate document,
>
>- Network Mobility Support SHOULD NOT be added in the MIPv6
>specification itself - it is a distinct problem, it has its own solution
>IMHO
>
>- The problem and the requirements to solve "Network Mobility Support"
>SHOULD be discussed first.  
>
>BTW, I have written a new draft "Network Mobility Support in IPv6:
>Problem Statement and Requirements"
>http://www.ietf.org/internet-drafts/draft-ernst-mobileip-monetv6-00.txt
>for the purpose of discussing the last item. If you have interest in
>this discussion, a post on this mailing list PRIOR to the WG meeting
>would be more than welcome.
>
>Regards,
>Thierry.
>
>--
>* mailto:[email-masked]  Tel +33 (0) 4 76 61 52 69 
>* INRIA Rhone-Alpes Projet PLANETE       (fax 52 52) 
>* and MOTOROLA Labs Paris
>* http://www.inrialpes.fr/planete/people/ernst/Welcome.html

---

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Tue, 31 Jul 2001 00:33:22 +0200

I'm thoroughly confused by this. I previously made it clear 
that it would be good to include the mobile networks draft
as a WG item and there was some support for this but 
no final decision. I think that in the interest of moving MIPv6
along rapidly we should try to eliminate significant 
additions to the specs, especially when there is a requirements
draft about to be discussed.

Hesham

> -----Original Message-----
> From:	Thierry Ernst [SMTP:[email-masked]]
> Sent:	Monday, 30 July 2001 8:54
> Cc:	Charlie Perkins
> - Section 4.8 and sub-option "Mobile Router Prefix Length" SHOULD be>

---

From: [email-masked]
Date: Tue, 31 Jul 2001 16:12:57 -0500

The Mobile IP WG charter does not exclude mobile routers/networks.
No reason to move this aspect of Mobile IP elsewhere.

-Basavaraj

> 
> It's fine if the MANET group wants to discuss subnet mobility 
> *as well*,
> but the subject of mobile routers, just as normal mobile nodes, within
> the scope of the Mobile IPv6 protocol, is a Mobile IP issue. What is a
> good reason that it is more appropriate to address it somewhere else?
> 
> -TJ
> 
> 
> Phillip Neumiller wrote:
> > 
> > I agree and a more appropriate place to discuss it may be the
> > MANET group where it has been pretty quiet lately.
> > 
> > -Phil
> > 
> > > From: Michael Thomas [mailto:[email-masked]]
> > > Sent: Tuesday, July 31, 2001 10:53 AM
> > > Subject: Re: [mobile-ip] Concerns about draft-mipv6-14 section 4.8
> > >
> > >
> > > I'll throw my support backing it out again
> > > too. Mobile routers are going to involve a lot of
> > > consideration, because they have some pretty far
> > > reaching implications. They should be taken up as
> > > a separate working group item instead of letting
> > > it bog down mipv6.
> > >
> > >        Mike
> > >
> > > T.J. Kniveton writes:
> > >  > I agree with Thierry here - the discussions on the list
> > > and at meetings
> > >  > have shown that there is interest in making mobile
> > > prefixes work within
> > >  > the context of MIPv6 handovers. The key phrase here is
> > > problem scope --
> > >  > it should be broken down to a solvable level, and
> > > especially limited
> > >  > within the base draft (which I believe was the intention).
> > > To make it
> > >  > really work, security issues must be solved first. Which
> > > leads us to the
> > >  > question, for MIPv6 expediency's sake, why not leave it as
> > > a separate
> > >  > draft?
> > >  >
> > >  > -TJ
> > >  >
> > >  >
> > >  >
> > >  > Thierry Ernst wrote:
> > >  > >
> > >  > > Dear all,
> > >  > >
> >  >         T.J. Kniveton
> >  >   Communications Systems Lab
> >  >      Nokia Research Center
> 
> -- 
>         T.J. Kniveton 
>   Communications Systems Lab
>      Nokia Research Center
>